unit RowColUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TRowColForm = class(TForm)
    RowSB: TScrollBar;
    ColSB: TScrollBar;
    CancelBtn: TBitBtn;
    RowLabel: TLabel;
    ColLabel: TLabel;
    OKBtn: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure RowSBChange(Sender: TObject);
    procedure ColSBChange(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  RowColForm: TRowColForm;

implementation

uses PuzzleUnit;

{$R *.DFM}


procedure TRowColForm.FormShow(Sender: TObject);
begin
  RowSB.Position := Form1.Rows;
  ColSB.Position := Form1.Cols;
  RowLabel.caption := 'Rows = ' + IntToStr (RowSB.Position);
  Collabel.caption := 'Columns = ' + IntToStr (ColSB.Position);
end;

procedure TRowColForm.RowSBChange(Sender: TObject);
begin
  RowLabel.caption := 'Rows = ' + IntToStr (RowSB.Position);
end;

procedure TRowColForm.ColSBChange(Sender: TObject);
begin
  Collabel.caption := 'Columns = ' + IntToStr (ColSB.Position);
end;

procedure TRowColForm.OKBtnClick(Sender: TObject);
begin
  if (RowSB.Position <> Form1.Rows) or (ColSB.Position <> Form1.Cols) then begin
    Form1.Rows := RowSB.Position;
    Form1.Cols := ColSB.Position;
    Form1.Changefr;
    Form1.MixUp;
  end;

  Hide;
end;

procedure TRowColForm.CancelBtnClick(Sender: TObject);
begin
  RowSB.Position := Form1.Rows;
  ColSB.Position := Form1.Cols;
  Hide;
end;

end.

