unit ViewUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus;

type
  TViewForm = class(TForm)
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
    hfWidth : word;
    procedure ChangeCaption;
  public
    { Public declarations }
    procedure Load;
    procedure tile;
    procedure untile;
  end;

var
  ViewForm: TViewForm;

implementation

uses PuzzleUnit;

{$R *.DFM}

procedure TViewForm.ChangeCaption;
begin
  Caption := 'View Image';

  if Form1.OpenPictureDialog1.FileName <> '' then
    Caption := Caption + ' - [' + Form1.OpenPictureDialog1.FileName + ']';
end;

procedure TViewForm.tile;
begin
  hfWidth := Form1.Width div 2;
  Left := Form1.xCord + hfWidth;
  Top := Form1.yCord;
  Form1.xCord := Form1.xCord - hfWidth;
  Form1.Left := Form1.xCord;
  Form1.Top := Form1.yCord;
end;

procedure TViewForm.FormShow(Sender: TObject);
begin
  Height := Form1.Height;
  Width := Form1.Width;

  tile;
end;

procedure TViewForm.untile;
begin
  Form1.xCord := Form1.xCord + hfWidth;
  Form1.Position := poScreenCenter;
  {Form1.Left := Form1.xCord;
  Form1.Top := Form1.yCord;}
end;

procedure TViewForm.FormHide(Sender: TObject);
begin
  untile;
end;

procedure TViewForm.Load;
begin
  ViewForm.Image1.Picture.BitMap := Form1.OrigBitMap;
  Image1.Top := (Form1.Height - Form1.Image1.Height) div 2 - 4;
  ChangeCaption;
end;

procedure TViewForm.FormActivate(Sender: TObject);
begin
  ChangeCaption;
end;

end.

